import { r as registerInstance, h } from './index-dd1fc9a4.js';
import './common-ecdc423b.js';
import { T as Text } from './Text-79637a49.js';

const UIText = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
    }
    render() {
        return (h(Text, null, h("slot", null)));
    }
};

export { UIText as ui_text };
